﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.239
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace TestProject.AccountService {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="AccountService.IAccountService")]
    public interface IAccountService {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAccountService/Logon", ReplyAction="http://tempuri.org/IAccountService/LogonResponse")]
        bool Logon(string email, string password);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAccountService/IsEmailAvailable", ReplyAction="http://tempuri.org/IAccountService/IsEmailAvailableResponse")]
        bool IsEmailAvailable(string email);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAccountService/IsEmailInUse", ReplyAction="http://tempuri.org/IAccountService/IsEmailInUseResponse")]
        bool IsEmailInUse(string email);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAccountService/IsNicknameAvailable", ReplyAction="http://tempuri.org/IAccountService/IsNicknameAvailableResponse")]
        bool IsNicknameAvailable(string nickname);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAccountService/IsCaptchaCorrect", ReplyAction="http://tempuri.org/IAccountService/IsCaptchaCorrectResponse")]
        bool IsCaptchaCorrect(string captcha);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAccountService/Register", ReplyAction="http://tempuri.org/IAccountService/RegisterResponse")]
        void Register(PumpkinHouseDatabase.Contract.UserForRegistration user, string captcha);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAccountService/SendResetPasswordEmail", ReplyAction="http://tempuri.org/IAccountService/SendResetPasswordEmailResponse")]
        void SendResetPasswordEmail(string email);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAccountService/ResetPassword", ReplyAction="http://tempuri.org/IAccountService/ResetPasswordResponse")]
        void ResetPassword(string code, string email, string newPassword);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IAccountServiceChannel : TestProject.AccountService.IAccountService, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class AccountServiceClient : System.ServiceModel.ClientBase<TestProject.AccountService.IAccountService>, TestProject.AccountService.IAccountService {
        
        public AccountServiceClient() {
        }
        
        public AccountServiceClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public AccountServiceClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public AccountServiceClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public AccountServiceClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public bool Logon(string email, string password) {
            return base.Channel.Logon(email, password);
        }
        
        public bool IsEmailAvailable(string email) {
            return base.Channel.IsEmailAvailable(email);
        }
        
        public bool IsEmailInUse(string email) {
            return base.Channel.IsEmailInUse(email);
        }
        
        public bool IsNicknameAvailable(string nickname) {
            return base.Channel.IsNicknameAvailable(nickname);
        }
        
        public bool IsCaptchaCorrect(string captcha) {
            return base.Channel.IsCaptchaCorrect(captcha);
        }
        
        public void Register(PumpkinHouseDatabase.Contract.UserForRegistration user, string captcha) {
            base.Channel.Register(user, captcha);
        }
        
        public void SendResetPasswordEmail(string email) {
            base.Channel.SendResetPasswordEmail(email);
        }
        
        public void ResetPassword(string code, string email, string newPassword) {
            base.Channel.ResetPassword(code, email, newPassword);
        }
    }
}
